Bug 129937 - I was trying to compile xmms 1.2.10, an mp3 player. gcc had a segmentation fault at configfile.c In function xmms_cfg_open_file
I was trying to compile xmms 1.2.10, an mp3 player. gcc had a segmentation f...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-14 17:07 EDT by paolo inverse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 17:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this caused gcc in fedora core 2 to crash. (137.70 KB, text/plain)
2004-08-14 17:15 EDT, paolo inverse
no flags Details

  None (edit)
Description paolo inverse 2004-08-14 17:07:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I was trying to compile xmms 1.2.10, an mp3 player. 
./configure went ok perfectly


[root@yuuchan xmms-1.2.10]# make
make  all-recursive
make[1]: Entering directory `/home/inverse/tmp/xmms-1.2.10'
Making all in intl
make[2]: Entering directory `/home/inverse/tmp/xmms-1.2.10/intl'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/inverse/tmp/xmms-1.2.10/intl'
Making all in libxmms
make[2]: Entering directory `/home/inverse/tmp/xmms-1.2.10/libxmms'
make  all-am
make[3]: Entering directory `/home/inverse/tmp/xmms-1.2.10/libxmms'
if /bin/sh ./libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.
-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-D_REENTRANT -I/usr/X11R6/include -I../intl -I..    -g -O2 -Wall
-Wpointer-arith -MT configfile.lo -MD -MP -MF ".deps/configfile.Tpo" \
  -c -o configfile.lo `test -f 'configfile.c' || echo './'`configfile.c; \
then mv -f ".deps/configfile.Tpo" ".deps/configfile.Plo"; \
else rm -f ".deps/configfile.Tpo"; exit 1; \
fi
mkdir .libs
gcc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT
-I/usr/X11R6/include -I../intl -I.. -g -O2 -Wall -Wpointer-arith -MT
configfile.lo -MD -MP -MF .deps/configfile.Tpo -c configfile.c  -fPIC
-DPIC -o .libs/configfile.lo
configfile.c: In function `xmms_cfg_open_file':
configfile.c:100: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQLmqwU.out file, please attach
this to your bugreport.
make[3]: *** [configfile.lo] Error 1
make[3]: Leaving directory `/home/inverse/tmp/xmms-1.2.10/libxmms'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/inverse/tmp/xmms-1.2.10/libxmms'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/inverse/tmp/xmms-1.2.10'
make: *** [all] Error 2


Version-Release number of selected component (if applicable):
gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7) Fedora Core 2 DVD
release.

How reproducible:
Always

Steps to Reproduce:
1.unpack tar.bz2
2. ./configure
3. make
    

Actual Results:  see above, segfault.

Expected Results:  a nice and clean compile.

Additional info:

I would like to attach an output file for this.
Comment 1 paolo inverse 2004-08-14 17:15:38 EDT
Created attachment 102737 [details]
this caused gcc in fedora core 2 to crash.

mentioned in bug description
Comment 2 Richard Henderson 2004-10-05 17:05:37 EDT
No crash for me, also with 3.3.3-7.

Note You need to log in before you can comment on or make changes to this bug.